Let user select date ranges (7/30/90 days) on the dashboard
Closed, ResolvedPublic2 Story Points

Description

From IRC:

09:52 westonnh: right now I can select a range easy enough but the totals don't reflect the data
09:52 westonnh: it would be great to set those ranges week,month,quarter and then also perhaps free form
09:53 westonnh: same for the events data on desktop and mobile
09:53 westonnh: search sessions,results,clicks

Additionally, we could include a 4th time window that is: "since the beginning of the current quarter" (Jul 1 through Sep 30, for example)

mpopov created this task.Aug 20 2015, 5:56 PM
mpopov updated the task description. (Show Details)
mpopov raised the priority of this task from to High.
mpopov added a project: Discovery.
mpopov added a subscriber: mpopov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 5:56 PM
mpopov moved this task from Needs triage to Analysis on the Discovery board.Aug 20 2015, 5:57 PM
mpopov set Security to None.
mpopov edited a custom field.
mpopov claimed this task.

Change 236855 had a related patch set uploaded (by Bearloga):
Data range selection. Adds the ability to see the KPI summaries for a range of time (yesterday, past 7/30/90 days). Fixes/changes how daily % change is calculated for ZRR KPI. Updates the custom dygraphs to use piping instead of nesting, making them

https://gerrit.wikimedia.org/r/236855

Change 236855 merged by OliverKeyes:
Data range selection. Adds the ability to see the KPI summaries for a range of time (yesterday, past 7/30/90 days). Fixes/changes how daily % change is calculated for ZRR KPI. Updates the custom dygraphs to use piping instead of nesting, making them

https://gerrit.wikimedia.org/r/236855

mpopov added a comment.Sep 9 2015, 5:59 PM

It's aliiiive

Deskana closed this task as Resolved.Sep 24 2015, 4:06 AM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.
Deskana added a subscriber: Deskana.